commit:     ee9ad06fc73c1aeab0b873b9202cc5f69c9cda64
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  5 04:26:26 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Dec  5 04:26:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee9ad06f

dev-python/django: Bump to 5.1.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django/Manifest            |  2 +
 dev-python/django/django-5.1.4.ebuild | 99 +++++++++++++++++++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index ff8b1ece5e69..688a07c56312 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -4,5 +4,7 @@ DIST Django-5.0.9.checksum.txt 2574 BLAKE2B 
e3bef5a7fdfa8a383cc1d185dff3e8818dee
 DIST Django-5.0.9.tar.gz 10646283 BLAKE2B 
898e7af1cde9c48589019c095a554f07ee3b92b2d26ff9d960a5cec05347664de608d8c12831f187fc8172e7f5dce947164419e937b26754691da4fec602ee2e
 SHA512 
7d27bfdc07a79abe2a82a5579f27241384e507649006951a8e7d59d8ea627f6b240a13671ed4e61be58402a07d7b3359ca6df1ad69cc00876135810a543b249a
 DIST Django-5.1.3.checksum.txt 2553 BLAKE2B 
dd8f2e988f51210594b0d16d55c9ec7dbe9db7327a56894d6f8f0c0ac7ead103ba78e34d9279af7a2bd1f662e5441aad9b74c35726b05211516798eda658ed94
 SHA512 
6f30aa4646455c3b1da4f8536b7b0e906f0ca3dd6cc0403f3f5d47268df0c3b4a922be12ebbe8b0025e46aa9e5d598d261582a7e6fedf4b7f2990a02a4895fb2
 DIST Django-5.1.3.tar.gz 10698518 BLAKE2B 
409702f8e80d3a60dafce5c92c24a723c7ca3b0121d32f8a4a1e2a22fed7fe8e66aeef5c5c5eab9773020c98f601723f940bbd782245de4d1489f2421dc203e3
 SHA512 
43c7c196c8d34c2354d2c0c3a1e1d4a816841dcdf60ec6277567acce23aae125c502f1afa354838fc4722fd3e665587878e2c57caa056ad5a6130bb5643991be
+DIST Django-5.1.4.checksum.txt 2410 BLAKE2B 
a83e84895865d76c44751ba2f2ee8abcf77172b6ba3653b44515fe9ff4c9d29e0f2c2f9a621d42bca303858b733a04746cd50a6ed8c3fe68996b537d1ec9358d
 SHA512 
829b4317e1c754b990ea4510e2e35e0a63230bae88dba6a02de5fbf5c4d65809a544cfa64cc1626e4cc4e68dc8400d7374177e7210cb05bc007e59cb56cbb87b
+DIST Django-5.1.4.tar.gz 10716397 BLAKE2B 
678df9c8905a27d1c902c7065ffb1da83771c55117c23ba058931347c3be5362269e4accb30bc88299dff30e0bafd2286eab31745244793a861e61d49f7e23bd
 SHA512 
252c185b82da60fb8b1be9c284e8912f5f2846f10a314bc5e611a24e499ea31d7dc29b31a4de16ee3329b1e6861d7faf02b65a043e8a2a28328541105a1e7dc3
 DIST django-4.2.8-pypy3.patch.xz 5900 BLAKE2B 
b7dc5c5fc162817a218ee6d025ed8a65559b80e4506e49ac393428c26e2621f9e7c5010b36f2412dea8194a9f1086ab21f97286eabd696c6a786285eb07393cf
 SHA512 
f953b5adbd1364f1d84dde55087ccb493256b1327701275fd2fe99f3cd41751d18e002b6e21afc96892e1671428a6b8f3c2e4b88252c3c278f1a79e286bb73e3
 DIST django-5.0-pypy3.patch.xz 6124 BLAKE2B 
7eba7cc70b30743cf4e186a2c5b0f27c13f49114a7a80bcaa2b25fdd7a959583c115a302c9bc6da97c32f6401cf8f3616818ba759190d317c5b033a0f0088766
 SHA512 
c550e2b2c1243d13cd1f4908f4b6df606355d1491e3bf72042e4b4777a4474306ff0f67b1c2eb4ab4d137cc85bde52dcdbd54bec245d2ba2e092545be8a2993b

diff --git a/dev-python/django/django-5.1.4.ebuild 
b/dev-python/django/django-5.1.4.ebuild
new file mode 100644
index 000000000000..c69f4a749bee
--- /dev/null
+++ b/dev-python/django/django-5.1.4.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 multiprocessing optfeature verify-sig
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+       https://www.djangoproject.com/
+       https://github.com/django/django/
+       https://pypi.org/project/Django/
+"
+SRC_URI="
+       https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
+       verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
+"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 
~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       <dev-python/asgiref-4[${PYTHON_USEDEP}]
+       >=dev-python/asgiref-3.8.1[${PYTHON_USEDEP}]
+       >=dev-python/sqlparse-0.3.1[${PYTHON_USEDEP}]
+       sys-libs/timezone-data
+"
+BDEPEND="
+       test? (
+               $(python_gen_impl_dep sqlite)
+               ${RDEPEND}
+               >=dev-python/docutils-0.19[${PYTHON_USEDEP}]
+               >=dev-python/jinja2-2.11.0[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pillow[webp,${PYTHON_USEDEP}]
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+               >=dev-python/selenium-4.8.0[${PYTHON_USEDEP}]
+               >=dev-python/tblib-1.5.0[${PYTHON_USEDEP}]
+               sys-devel/gettext
+       )
+       verify-sig? ( >=sec-keys/openpgp-keys-django-20240807 )
+"
+
+PATCHES=(
+       "${FILESDIR}"/django-4.0-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+       if use verify-sig; then
+               cd "${DISTDIR}" || die
+               verify-sig_verify_signed_checksums \
+                       "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
+               cd "${WORKDIR}" || die
+       fi
+
+       default
+}
+
+python_test() {
+       # Tests have non-standard assumptions about PYTHONPATH,
+       # and don't work with ${BUILD_DIR}/lib.
+       PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite \
+               -v2 --parallel="${EPYTEST_JOBS:-$(makeopts_jobs)}" ||
+               die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       newbashcomp extras/django_bash_completion ${PN}-admin
+       bashcomp_alias ${PN}-admin django-admin.py
+
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       optfeature_header "Additional Backend support can be enabled via:"
+       optfeature "MySQL backend support" dev-python/mysqlclient
+       optfeature "PostgreSQL backend support" dev-python/psycopg:0
+       optfeature_header
+       optfeature "GEO Django" "sci-libs/gdal[geos]"
+       optfeature "Memcached support" dev-python/pylibmc 
dev-python/python-memcached
+       optfeature "ImageField Support" dev-python/pillow
+       optfeature "Password encryption" dev-python/bcrypt
+}

Reply via email to